### Method

# Pango Layout get_log_attrs_readonly

since: 1.30

#### Declaration [src]

    const PangoLogAttr*
    pango_layout_get_log_attrs_readonly (
      PangoLayout* layout,
      gint* n_attrs
    )

#### Description [src]

Retrieves an array of logical attributes for each character in the `layout`.

This is a faster alternative to `pango_layout_get_log_attrs()`. The returned array is part of `layout` and must not be modified. Modifying the layout will invalidate the returned array.

The number of attributes returned in `n_attrs` will be one more than the total number of characters in the layout, since there need to be attributes corresponding to both the position before the first character and the position after the last character.

Available since: 1.30

#### Parameters

`n_attrs`

  Type: `gint*`

  Location to store the number of the attributes in the array.

  The argument will be set by the function.

#### Return value

Type: An array of `PangoLogAttr`

An array of logical attributes.

The length of the array is in the `n_attrs` argument.
The data is owned by the instance.